Package org.apache.lucene.codecs.simpletext

# Class SimpleTextTermVectorsFormat

java.lang.Object
org.apache.lucene.codecs.TermVectorsFormat
org.apache.lucene.codecs.simpletext.SimpleTextTermVectorsFormat

public class SimpleTextTermVectorsFormat extends TermVectorsFormat
plain text term vectors format.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleTextTermVectorsFormat()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TermVectorsReader`
  `vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
  `TermVectorsWriter`
  `vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SimpleTextTermVectorsFormat

    public SimpleTextTermVectorsFormat()

- ## Method Details

  - ### vectorsReader

    public TermVectorsReader vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context) throws IOException
    Specified by:
      `vectorsReader` in class `TermVectorsFormat`
    Throws:
      `IOException`

  - ### vectorsWriter

    public TermVectorsWriter vectorsWriter(Directory directory, SegmentInfo segmentInfo, IOContext context) throws IOException
    Specified by:
      `vectorsWriter` in class `TermVectorsFormat`
    Throws:
      `IOException`